Subject: [tsvwg] draft: Circuit Breaker Assisted Congestion Control

From: "Holland, Jake" <[email-masked]>
Date: Thu, 27 Oct 2016 02:43:31 +0000

Hello,

I’m requesting feedback and discussion on a multicast congestion control scheme where senders advertise their sending bandwidth for circuit breakers to observe:
https://tools.ietf.org/html/draft-jholland-cb-assisted-cc-00

Ultimately, I hope to see a standard that safely mitigates oversubscription to non-responsive multicast traffic by malicious receivers. According to our analysis it seems to be a serious vulnerability for building a scalable service using interdomain multicast.

As a first step, I hope to work toward a draft that the tsvwg would adopt as a working group document.

I am hoping to get this on the agenda for a tsvwg meeting, ideally the upcoming one in Seoul, so please respond if you think this is something worth discussing there.

Thanks for your consideration,
Jake Holland

(Cross-posted to [email-masked] to solicit expert congestion control advice, as suggested by a tsvwg chair. Apologies to anyone who gets it twice.)

On 10/24/16, 6:54 PM, "[email-masked]" <[email-masked]> wrote:
    
    A new version of I-D, draft-jholland-cb-assisted-cc-00.txt
    has been successfully submitted by Jacob Holland and posted to the
    IETF repository.
    
    Name:		draft-jholland-cb-assisted-cc
    Revision:	00
    Title:		Circuit Breaker Assisted Congestion Control (CBACC): Protocol Specification
    Document date:	2016-10-24
    Group:		Individual Submission
    Pages:		19
    URL:            https://www.ietf.org/internet-drafts/draft-jholland-cb-assisted-cc-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-jholland-cb-assisted-cc/
    Htmlized:       https://tools.ietf.org/html/draft-jholland-cb-assisted-cc-00

    Abstract:
       This document specifies Circuit Breaker Assisted Congestion Control
       (CBACC), which provides bandwidth information from senders to
       intermediate network nodes to enable good decisions for fast-trip
       Network Transport Circuit Breaker activity
       ([I-D.ietf-tsvwg-circuit-breaker]) when necessary for network health.
       CBACC is specifically designed to support protocols using IP
       multicast, particularly as a supplement to receiver-driven congestion
       control protocols such as WEBRC [RFC3738], to help affected networks
       rapidly detect and mitigate the impact of scenarios in which a
       network is oversubscribed to flows which are not responsive to
       congestion.